# coder.h File Reference

Go to the source code of this file.

## Data Structures

struct | _CoderInfo

## Typedefs

typedef struct _CoderInfo | CoderInfo

## Functions

MagickExport char ** | GetCoderList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const CoderInfo * | GetCoderInfo (const char *, ExceptionInfo *)
MagickExport const CoderInfo *** | GetCoderInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport MagickBooleanType | ListCoderInfo (FILE *, ExceptionInfo *)
MagickExport void | DestroyCoderList (void)

## Typedef Documentation

typedef struct _CoderInfo CoderInfo

## Function Documentation

MagickExport void DestroyCoderList | ( | void |  | ) |

MagickExport const CoderInfo* GetCoderInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const CoderInfo* ** GetCoderInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetCoderList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ListCoderInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |